Bug 1807536 - Parent Hostgroup hammer parameter accept only name, not title
Summary: Parent Hostgroup hammer parameter accept only name, not title
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer
Version: 6.7.0
Hardware: x86_64
OS: Linux
high
medium vote
Target Milestone: 6.11.0
Assignee: Oleh Fedorenko
QA Contact: Gaurav Talreja
URL:
Whiteboard:
: 1807532 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-26 15:08 UTC by Diksha Chaudhari
Modified: 2022-07-05 14:28 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-05 14:27:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32878 0 High New Parent Hostgroup hammer parameter accept only name, not title 2021-06-24 10:20:58 UTC
Red Hat Product Errata RHSA-2022:5498 0 None None None 2022-07-05 14:28:14 UTC

Description Diksha Chaudhari 2020-02-26 15:08:59 UTC
Description of problem: While creating hostgroup through hammer getting error: 
~~~
Could not create the hostgroup:
  Error: hostgroup not found.
~~~

Creating the child hostgroup through WEB UI works as it gives the option to select the complete Parent hostgroup path. However from hammer we cannot select the complete Parent hostgroup path.

For example:
~~~
[root@sat ~]# hammer hostgroup create --organization RedHat --name 20c --parent new1/latest/abcd
Could not create the hostgroup:
  Error: hostgroup not found.
~~~

While, we can create a child hostgroup by only mentioning abcd:
~~~
[root@sat ~]# hammer hostgroup create --organization RedHat --name 20c --parent abcd
~~~

This becomes a problem if we have multiple parent hostgroup paths with same names. For example:
 - new1/latest/abcd
 - new1/abcd
 - new2/latest

In the above scenario, we can easily create child hostgroup from WEB UI as it suggests the complete hostgroup paths in "Parent Hostgroup" option. On the other hand, it is impossible to use the same using hammer as the same name is used in multiple paths.



Version-Release number of selected component (if applicable): 6.7 beta


How reproducible: Everytime


Steps to Reproduce:
1. The hostgroup can be created by mentioning sinagle name
# hammer hostgroup create --organization RedHat --name 20c --parent abcd

2. If you mention the complete path then it fails:
# hammer hostgroup create --organization RedHat --name 20c --parent new1/latest/abcd
Could not create the hostgroup:
  Error: hostgroup not found.


Actual results: For creating child hostgroups using hammer we cannot specify the complete parent hostgroup path


Expected results: hammer should allow to use complete parent hostgroup path just like the Satellite web UI


Additional info:

Comment 3 Brad Buckingham 2020-02-26 16:05:17 UTC
*** Bug 1807532 has been marked as a duplicate of this bug. ***

Comment 4 Oleh Fedorenko 2021-06-24 10:20:55 UTC
Created redmine issue https://projects.theforeman.org/issues/32878 from this bug

Comment 5 Bryan Kearney 2021-08-03 12:02:30 UTC
Upstream bug assigned to ofedoren

Comment 6 Bryan Kearney 2021-08-03 12:02:33 UTC
Upstream bug assigned to ofedoren

Comment 7 Bryan Kearney 2021-08-05 16:02:18 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/32878 has been resolved.

Comment 8 Omkar Khatavkar 2021-12-22 11:06:00 UTC
Verified on Satellite 7.0 and Issues is fixed now 

hammer> hostgroup create --organization 'Default Organization' --name new8 --parent-title new_1/new_2/new_4
Hostgroup created.

Comment 11 errata-xmlrpc 2022-07-05 14:27:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.11 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5498


Note You need to log in before you can comment on or make changes to this bug.